org.keycloak.representations.idm

## Class RequiredActionProviderRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RequiredActionProviderRepresentation

-     public class RequiredActionProviderRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredActionProviderRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getName()` Used for display purposes.
    `int` | `getPriority()`
    `String` | `getProviderId()`
    `boolean` | `isDefaultAction()`
    `boolean` | `isEnabled()`
    `void` | `setAlias(String alias)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDefaultAction(boolean defaultAction)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setName(String name)`
    `void` | `setPriority(int priority)`
    `void` | `setProviderId(String providerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequiredActionProviderRepresentation

          public RequiredActionProviderRepresentation()

  - ### Method Detail

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getName

          public String getName()

      Used for display purposes. Probably should clean this code up and make alias and name the same, but the old code references an Enum and the admin console creates a "friendly" name for each enum.
      Returns:

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isDefaultAction

          public boolean isDefaultAction()

    - #### setDefaultAction

          public void setDefaultAction(boolean defaultAction)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

Copyright © 2021 JBoss by Red Hat. All rights reserved.